Subject: Re: [Netconf] Clarification request for NETCONF edit-config default-operation replace

From: Randy Presuhn <[email-masked]>
Date: Wed, 1 Jun 2016 09:46:55 -0700 (GMT-07:00)

Hi -

> From: Andy Bierman
> Sent: May 31, 2016 5:49 PM
> To: "Sterne, Jason (Nokia - CA)"
> Cc: "[email-masked]"
> Subject: Re: [Netconf] Clarification request for NETCONF edit-config default-operation replace
...
> copy-config is for complete configurations.
> There is an unwritten assumption that the copy-config contents are
> not pruned at all by access control.

There are (at least) two ways of understanding "pruned" in this statement.
But I think, more importantly, that "unwritten assumptions",
particularly with respect to access control, are a very bad thing
in standardization, and it might be worthwhile to consider how to
make whatever is intended explicit.

> A missing node will be
> interpreted as a delete attempt.

This is what *I* would expect, but I'm not a netconf person.

> This is not at all desirable
> if the client is not authorized and is not even aware
> of these "hidden" nodes.  

Perhaps.  If one agrees with your earlier statement that
"copy-config is for complete configurations", such behaviour
is what one would expect - only clients with unlimited write
access should even attempt a copy-config.  For other clients,
it seems it would only function as a way of finding out whether
there exist portions of the source or destination configuration
to which they do not have read or write access, respectively.

Randy